Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000730graphvizDotpublic2007-06-12 03:462015-11-02 11:40
ReporterPaul Madden 
Assigned Togviz 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOS*-*-*OS Version
Summary0000730: Error: trouble in init_rank
Description


Graph layout does not work, error given is:



Error: trouble in init_rank virtual 1 virtual 2 virtual 2 virtual 11 virtual 7 virtual 2 virtual 4 virtual 2 virtual 2 virtual 2 virtual 3 virtual 2 virtual 2 virtual 2 virtual 2 virtual 2 virtual 4 virtual 2 virtual 3 virtual 2 virtual 5 virtual 2 virtual 2 virtual 2 virtual 3 virtual 2 virtual 6 virtual 2 virtual 7 virtual 2 virtual 2 virtual 2 virtual 2 virtual 2 virtual 8 virtual 2 virtual 9 virtual 2 virtual 10 virtual 2 virtual 2 virtual 2 virtual 2 virtual 40 virtual 6 virtual 2 virtual 2 virtual 4 virtual 2 virtual 26 virtual 2 virtual 2 tob_development 1 tob_dev 2 tob_internet 3 virtual 3 virtual 1 fxnetlb 4 virtual 1 virtual 3 virtual 1 tob_fs 1 fsnw4 3 virtual 1 virtual 1 virtual 3 virtual 1 tob_ds 1 fsredzone 2 fxnetvcs_out 3 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 cpsbn 1 fxnetldm 1 fxnetvcs 1 theta 1 tob 1 fab 1 gizmo 3 veritas_systems 2 sensor3 3 puck 2 noaaport_systems 2 netvault_systems 3 madis_offsite_systems 1 madis_offsite_spares 2 mor!
 gaine 3 lqc_systems 2 jet 2 ditto 1 megan 3 hams_systems 3 goes_boxes 2 eldmf 2 dsg 3 dns_systems 3 cygnus 3 cwb_systems 2 ao_systems 2 mss 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 eldmf_output 1 virtual 1 fdr8 1 fdr7 1 fdr6 1 fdr5 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 fslnac 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 h2 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 madis_users 1 virtual 1 virtual 1 virtual 1 h4 2 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 !
 virtual 1 virtual 1 virtual 1 virtual 2 craft 1 virtual 1 virt!
 ual 1 vi
rtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 nomads_output 2 capproc 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 3 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 3 virtual 1 virtual 1 virtual 1 virtual 1 mdr 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 nomads 3 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 3 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 jetty 1 virtual 1 virtual 1 capsdial 1 cwb 1 h5 1 virtual 1 virtual 1 virtual 3 virtual 1 virtual 1 virtual 1 !
 virtual 1 virtual 2 gpsldm 1 virtual 1 ds1cf 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 capsdial_input 1 conduit 1 h5_input 1 virtual 2 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 prism 2 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 ars 1 conduit_input 1 coop 2 prism_output 1 webshld_output 1 h1 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 arinc 1 homestar_output2 1 homestar_output1 1 nesdis_adde 2 nwstg 1 virtual 1 webshld 1 wsi 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 homestar 1 its 1 satellite_pad 1 websrv 1 amb 4 magma 3 vdsp 1 rtvsi1 1 rtproc 1 dsp !
 1 dsd 1 dsi 1 dadldm 1 cgenp 1 cgeni 1 cgend 1 virtual 1 virtu!
 al 1 vir
tual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 ab 1 ab_summary_conduit 1 ab_summary_prism 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 virtual 1 Error: segment [(0,0),(-1589,1303)] does not intersect box ll=(-1563,1295),ur=(-1480,1391) Error: segment [(0,0),(-1595,1303)] does not intersect box ll=(-1563,1295),ur=(-1480,1391)



Error can be toggled by (un)commenting line 405 ("cpsbnalps->isb_avs;")



I'm laying out with the dot gui, output type=ps.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID1141
INPUT-FILEhttp://www.graphviz.org/bugs/b1141.dot [^]
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.13.20070608.0440
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user1
2013-10-04 17:44 erg Status acknowledged => closed
2013-10-04 17:44 erg Resolution open => fixed
2013-10-04 17:44 erg Description Updated View Revisions


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker